Get Profiles Assigned to Policy
Retrieves paginated list of profiles assigned to a given policy, including profile details (name, email, worker type, location).
Token scopes: time-off:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.deel.training/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
policy_id
Policy UID, as returned by the Get Policies for Organization endpoint
Query parameters
page_size
Items per page (max 100)
next
Pagination cursor
Response
Paginated list of profiles assigned to the policy.
data
Profiles currently assigned to the policy
has_next_page
Indicates if there are more results available beyond the current page
next
Opaque cursor to fetch the next page of results. Null when there are no more results
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error